Name:             bitlyclip
Version:          0.2.2
Release:          12%{?dist}
Summary:          Shorten urls in the X clipboard with bit.ly

Group:            Development/Libraries
License:          GPLv3+
URL:              http://pypi.python.org/pypi/bitlyclip
Source0:          http://pypi.python.org/packages/source/b/%{name}/%{name}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    python2-devel
BuildRequires:    python2-setuptools

Requires:         python2-setuptools
Requires:         python2-bitlyapi
Requires:         python2-notify
Requires:         xsel

%description
bitlyclip is just a script that:

 - Takes a url in your clipboard.
 - Shortens it with the bit.ly url shortening service.
 - Puts the new url back in your clipboard.

It makes a nice 'hotkey' in whatever window manager you're using.

%prep
%setup -q -n bitlyclip-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc LICENSE
%{python_sitelib}/bitlyclip
%{python_sitelib}/bitlyclip-%{version}*
%{_bindir}/bitlyclip

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Dec 15 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.2.2-11
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Oct 04 2012 Ralph Bean <rbean@redhat.com> - 0.2.2-2
- Added requirement on python-setuptools.

* Wed Aug 29 2012 Ralph Bean <rbean@redhat.com> - 0.2.2-1
- Upstream release simply removes a shebang where it needn't be.

* Fri Aug 24 2012 Ralph Bean <rbean@redhat.com> - 0.2.1-3
- Added forgotten setuptools build requirements.

* Fri Aug 24 2012 Ralph Bean <rbean@redhat.com> - 0.2.1-2
- Change summary to satisfy rpmlint.

* Fri Aug 24 2012 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- initial package for Fedora
